Bug 94636 - update databases/phppgadmin to 4.0.1
Summary: update databases/phppgadmin to 4.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-03-18 11:20 UTC by Andrew Pantyukhin
Modified: 2006-05-16 06:06 UTC (History)
0 users

See Also:


Attachments
phppgadmin.diff (3.51 KB, patch)
2006-03-18 11:20 UTC, Andrew Pantyukhin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Pantyukhin 2006-03-18 11:20:16 UTC
o Update to 4.0.1
o Install into www instead of www/data-dist
Comment 1 Edwin Groothuis freebsd_committer 2006-03-18 11:26:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to maintainer
Comment 2 Dirk Meyer freebsd_committer 2006-03-18 16:00:14 UTC
State Changed
From-To: open->feedback

partly commited. 

- PGADMDIR not changed. 
POLA: as this breaks updating. 
Please give pointers why it should be changed. 

- no tabs in pkg-plist. 

- use "cp -p" in pkg-plist too. 

- you only used -p on one file. 
it has benn set on all files now. 
This will give warning if installed by user.
Comment 3 Andrew Pantyukhin 2006-03-18 17:16:00 UTC
On 3/18/06, Dirk Meyer <dinoex@freebsd.org> wrote:
> Synopsis: update databases/phppgadmin to 4.0.1
>
> State-Changed-From-To: open->feedback
> State-Changed-By: dinoex
> State-Changed-When: Sat Mar 18 17:00:14 CET 2006
> State-Changed-Why:
> partly commited.
>
> - PGADMDIR not changed.
>   POLA: as this breaks updating.
>   Please give pointers why it should be changed.

www/data-dist location is based on assumptions. If you
want to try and save the upgrade, check if the dir exists
and place a symlink in there.

> - no tabs in pkg-plist.

Sorry. It's okay, but why is that? We should place a
warning in portlint, if that's true.

> - use "cp -p" in pkg-plist too.

Thanks, overlooked it.

> - you only used -p on one file.
>   it has benn set on all files now.
>   This will give warning if installed by user.

Thanks.

I'm also thinking about making this port look more like
phpmyadmin, e.g. changing portname to camel notation,
making suexec work, etc. What do you think?
Comment 4 dirk.meyer 2006-03-18 18:12:27 UTC
Andrew Pantyukhin schrieb:,

>  www/data-dist location is based on assumptions. If you
>  want to try and save the upgrade, check if the dir exists
>  and place a symlink in there.

is there any references that www/<something> is prefered?

>  > - no tabs in pkg-plist.
>  
>  Sorry. It's okay, but why is that? We should place a
>  warning in portlint, if that's true.

its not tested to work in all cases,
so there is no reason to switch from spaces to tabs.
not sure if every shell likes this.
  
>  I'm also thinking about making this port look more like
>  phpmyadmin, e.g. changing portname to camel notation,

camel notation is not desired, see "EmiClock" in:
http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-naming.html#PORTING-PKGNAME

>  making suexec work, etc. What do you think?

You mean to install all files under a given username?
Please give more details.

kind regards Dirk

- Dirk Meyer, Im Grund 4, 34317 Habichtswald, Germany
- [dirk.meyer@dinoex.sub.org],[dirk.meyer@guug.de],[dinoex@FreeBSD.org]
Comment 5 Andrew Pantyukhin 2006-03-28 21:52:35 UTC
Why data-dist? Why not data or apache22/data-dist or
whatever? Many web-based ports install in
/usr/local/www and for me it's easier to manage them
no matter what web server and locations I'm using.

Besides, installing in a public-accessible location by
default is bad for security. Some apps require conf-file
editing before they can be shown to the outside world
safely.

On other points - let's discuss them separately some
time later, when I have clear thoughts.

Thanks!
Comment 6 Dirk Meyer freebsd_committer 2006-04-06 14:15:45 UTC
State Changed
From-To: feedback->patched

- update state
Comment 7 sat freebsd_committer 2006-05-16 06:05:40 UTC
State Changed
From-To: patched->closed

The bikeshed has evolved to infect ports@.